MeCab

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Attributes
mecab_path_t Struct Reference

Path structure. More...

`#include <mecab.h>`

List of all members.

## Public Attributes

struct mecab_node_t * | rnode
| pointer to the right node
struct mecab_path_t * | rnext
| pointer to the next right path
struct mecab_node_t * | lnode
| pointer to the left node
struct mecab_path_t * | lnext
| pointer to the next left path
int | cost
| local cost
float | prob
| marginal probability

## Detailed Description

Path structure.

## Member Data Documentation

int mecab_path_t::cost

local cost

struct mecab_path_t* mecab_path_t::lnext

pointer to the next left path

struct mecab_node_t* mecab_path_t::lnode

pointer to the left node

float mecab_path_t::prob

marginal probability

struct mecab_path_t* mecab_path_t::rnext

pointer to the next right path

struct mecab_node_t* mecab_path_t::rnode

pointer to the right node

The documentation for this struct was generated from the following file:

- /home/taku/proj/mecab/mecab/src/mecab.h